<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Bill</title>
</head>
<body>
<section layout:fragment="main" class="content">
    <div class="breadcomb-area">
        <div class="container">
            <div class="row">
                <div class="col-md-12 col-xs-12">
                    <div class="breadcomb-list">
                        <div class="row">
                            <div class="col-lg-6 col-md-6 col-xs-12">
                                <div class="breadcomb-wp">
                                    <div class="breadcomb-icon">
                                        <i class="notika-icon notika-form"></i>
                                    </div>
                                    <div class="breadcomb-ctn">
                                        <h2>Bill List</h2>
                                        <p th:text="${tahunAkademikProdi.tahunAkademik.namaTahunAkademik}">Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>
                                        <p th:text="${mahasiswa.nama + ' ( ' + mahasiswa.nim + ' )' + ' - ' + mahasiswa.idProdi.namaProdi}"></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6 col-md-6 col-xs-12">
                                <div class="breadcomb-report">

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="row">
            <div class="col-md-12 col-xs-12">
                <div class="normal-table-list mg-t-30">
                    <h4 class="bg-primary text-center">Daftar Biaya dan Potongan</h4>
                    <div class="bsc-tbl-st">
                        <table class="table table-striped">
                            <thead class="thead-dark">
                                <tr>
                                    <th>Tahun Akademik</th>
                                    <th>Jenis Tagihan</th>
                                    <th>Total</th>
                                    <th>Dibayar</th>
                                    <th>Status</th>
                                    <th> </th>
                                </tr>
                            </thead>
                            <tbody>

                                <tr th:each="data, row : ${biayaMahasiswa}">
                                    <td th:text="${data.getNamaTahun()}">1</td>
                                    <td th:text="${data.getNamaTagihan()}">Ini SKS</td>
                                    <td th:text="${'Rp. ' + #numbers.formatDecimal(data.getnilai_tagihan(), 0, 'POINT', 2, 'COMMA')}"></td>
                                    <td th:text="${'Rp. ' + #numbers.formatDecimal(data.getDibayar(), 0, 'POINT', 2, 'COMMA')}"></td>
                                    <td>
                                        <div th:if="${data.Status} == 'AKTIF'" th:text="${data.Status}" class="btn btn-info btn-sm"></div>
                                        <div th:if="${data.Status} == 'NONAKTIF'" th:text="${data.Status}" class="btn btn-danger btn-sm"></div>
                                        <div th:if="${data.Status} == 'LUNAS'" th:text="${data.Status}" class="btn btn-success btn-sm"></div>
                                        <div th:if="${data.Status} == 'DICICIL'" th:text="${data.Status}" class="btn btn-warning btn-sm"></div>
                                        <div th:if="${data.Status} == 'NUNGGAK'" th:text="${data.Status}" class="btn btn-danger btn-sm"></div>
                                        <div th:if="${data.Status} == 'DITANGGUHKAN'" th:text="${data.Status}" class="btn nk-deep-orange btn-sm" style="color: white;"></div>
                                    </td>
                                    <!-- <td><a class="btn btn-primary pull-right" th:href="@{/studentBill/requestPenangguhan/date(id = ${data.getId()})}">Request Penangguhan</a></td>-->
                                    <td><a class="btn btn-primary" th:href="@{/studentBill/payment/form(tagihan = ${data.getId()})}">Cek</a></td>
                                </tr>
                                <tr>
                                    <td></td>
                                    <td><h5>Total : </h5></td>
                                    <td><h5 th:text="${'Rp. ' + #numbers.formatDecimal(totalTagihan, 0, 'POINT', 2, 'COMMA')}"></h5></td>
                                    <td><h5 th:text="${'Rp. ' + #numbers.formatDecimal(totalDibayar, 0, 'POINT', 2, 'COMMA')}"></h5></td>
                                </tr>
                                <tr>
                                    <td></td>
                                    <td><h5>Sisa : </h5></td>
                                    <td></td>
                                    <td><h5 th:text="${'Rp. ' + #numbers.formatDecimal(totalTagihan - totalDibayar, 0, 'POINT', 2, 'COMMA')}">Rp. 1.000.000,00</h5></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12 col-xs-12">
                <div class="normal-table-list mg-t-30">
                    <h4 class="bg-primary text-center">Pembayaran</h4>
                    <div class="bsc-tbl-st">
                        <table class="table table-striped">
                            <thead class="thead-dark">
                            <tr>
                                <th>Tahun Akademik</th>
                                <th>Jenis Tagihan</th>
                                <th>Tanggal</th>
                                <th>Dibayar</th>
                                <th> </th>
                            </tr>
                            </thead>
                            <tbody>

                            <tr th:each="data,row : ${pembayaran}">
                                <td th:text="${data[1]}">1</td>
                                <td th:text="${data[2]}">Ini SKS</td>
                                <td th:text="${data[3]}"></td>
                                <td th:text="${'Rp. ' + #numbers.formatDecimal(data[4], 0, 'POINT', 2, 'COMMA')}"></td>
                            </tr>
                            <tr>
                                <td></td>
                                <td><h5>Total : </h5></td>
                                <td></td>
                                <td><h5 th:text="${'Rp. ' + #numbers.formatDecimal(totalDibayar, 0, 'POINT', 2, 'COMMA')}">Rp. 1.000.000,00</h5></td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

    </div>
</section>
</body>
</html>